* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;

}

/**********************/
/*****   HEADER   *****/
/**********************/

/* change taille logo */
.logoS:hover {
    animation: logo 0.5s ease-in;
}

@keyframes logo {
    0% {
        transform: rotate(0deg)
    }

    25% {
        transform: rotate(90deg)
    }

    50% {
        transform: rotate(30deg)
    }

    75% {
        transform: rotate(90deg)
    }

    100% {
        transform: rotate(0deg)
    }
}

/* colore et replace titre */
.titL {
    color: crimson;
    text-shadow: 0 0 5px rgba(255, 255, 255, 0.418);
    font-size: 3.5rem;
    font-family: 'Permanent Marker', cursive;

}

/* change font-size Titre pour petit écran */
@media only screen and (max-width: 980px) {
    .titL {
        font-size: 5vw;
    }
}

/* change font-size Titre pour petit écran */
@media only screen and (max-width: 600px) {
    .titL {
        font-size: 2rem;
        margin-left: 2.3rem;
    }
}

/*************************/
/******    FOOTER    *****/
/*************************/


.nav-link:hover {
    color: rgba(212, 22, 60, 0.925);
}

/* change couleur fond */
footer {
    background-color: black;
    margin-right: 0;
    padding: 05rem;
}

/* change couleur et aligne txt */
footer h4 {
    text-align: center;
    color: whitesmoke;
}

/* change couleur lien */
footer a {
    color: whitesmoke
}

/* change taille text*/
.txtF {
    font-size: 15px
}

/* modifie mentions legales et reste txt en fonction taille ecran */
@media only screen and (max-width: 1230px) {
    footer h4 {
        margin-top: 10px
    }

    .menLe span {
        display: none;
    }

    .menLe:after {
        content: 'Ment° légales';
    }

    .centerT {
        margin-top: 0px
    }
}

/* modifie mentions legales et reste txt en fonction taille ecran */
@media only screen and (max-width: 1030px) {
    .menLe span {
        display: none;
    }

    .menLe:after {
        content: 'M. légales';
    }

    .centerT {
        margin-top: 15px
    }
}

/******************************/
/*******    ACCUEIL    ********/
/******************************/
.test {
    background-image: url('../img/acceuil.jpg');
    background-repeat: no-repeat;
    background-size: cover;
}

/***************/
/**   VIDEO   **/
/***************/
.acceuil {
    background: linear-gradient(#00000000, #000000);
    color: rgb(224, 224, 224);
    height: 130vh;
}

.container-index {
    display: flex;
    justify-content: center;
    align-items: center;
    height: fit-content;
}

.video-box {
    width: 100%;
    max-width: 1000px;
    margin: 0.5rem;
}

.video {
    border-radius: 0.2rem;
    width: 100%;
}

/*************/
/**   PUB   **/
/*************/
.pub {
    display: flex;
    flex-direction: column;
}

.pub p {
    font-family: 'Permanent Marker', cursive;
    text-align: center;
    font-size: 5vw;
    color: #fff;
    transform: rotate(-2deg);
    margin: 0.5rem;
    text-shadow: 0 1px 35px rgba(243, 50, 50, 0.875);
}

.pub a {
    text-decoration: none;
    text-transform: uppercase;
    cursor: pointer;
    background: linear-gradient(Crimson, rgba(220, 20, 60, 0.836));
    color: rgba(255, 255, 255, 0.616);
    font-size: 1.5rem;
    padding: 0.8rem 2rem;
    text-align: center;
    margin: 2.5rem auto;
    border-radius: 1rem;
    box-shadow: 0px 0px 10px rgb(224, 224, 224, 0.5);

    font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
    transform: translateZ(50deg)
}

.pub a:hover {
    filter: brightness(1.1);
    transform: scale(1.01);
    color: white;
    background: Crimson;
    box-shadow: 0px 0px 5px rgba(255, 255, 255, 0.616);
}

.pub a:active {
    transform: scale(0.98);
}

/**************/
/**   BLOG   **/
/**************/

.blog {
    color: white;
    border-radius: 15px;
    background: rgb(0, 0, 0);
    background: radial-gradient(circle, #000000 0%, #666666 100%);
    opacity: 0.8;
}

/************************/
/*****   A PROPOS   *****/
/************************/

.apropos {
    background-image: url(../img/img.png);
    background-attachment: fixed;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    text-align: center;
}

.apropos .row {
    border-radius: 15px;
}

.apropos .row:hover {
    box-shadow: 0px 10px 30px rgba(33, 33, 34, 0.5);
}

.apropos .row .image .img-fluid {
    max-width: 500px;
    margin: 2rem;
}

.apropos .row .image:hover {
    filter: brightness(1.1);
}

.apropos .row .title {
    filter: contrast(2);
}

.paragraph {
    padding: 1rem;
}

.title:hover {
    color: white;
    border-radius: 15px;
    background: rgb(0, 0, 0);
    background: radial-gradient(circle, #000000 0%, #666666 100%);
    opacity: 0.8;
}

#loc {
    font-size: 30px;
    margin: 2rem;
}

#contact {
    text-decoration: none;
    font-size: 25px;
    font-weight: bold;
    color: darkred;
}

/**************************/
/******    CONTACT    *****/
/**************************/


.body_contact {
    background: url(../img/img5.png) no-repeat;
    background-position: center;
    background-size: cover;
    padding: 0.2rem;

}

#ici {
    color: antiquewhite;
    font-size: 20px;
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
}

.formulaire {
    opacity: 0.8;
    padding: 50px;
    border-radius: 5%;
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    min-width: 600px;
    text-align: center;
}

.toto {
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    min-width: 320px;
    flex-basis: 50px;
    margin: auto;
    padding-top: 1rem;
}

.toto label {
    padding: 5px;
}

.toto input {
    max-width: 320px;
    flex-basis: 30px;
    border-radius: 15px;
    box-shadow: 0px 5px 15px rgba(226, 223, 235, 0.205);
}

#msg {
    flex-basis: 250px;
    min-width: 500px;
    border-radius: 15px;
    box-shadow: 0px 5px 15px rgba(226, 223, 235, 0.205);
}

.button {
    padding: .5rem 2.2rem;
    font-size: 16px;
    position: relative;
    border: 3px solid transparent;
    border-radius: 15px;
    background: black;
    background-clip: padding-box;
    color: whitesmoke;
    transition: background .6s ease;
    box-shadow: 0px 5px 15px rgba(29, 93, 175, 0.5);
}

.button:hover {
    background: whitesmoke;
    background-clip: padding-box;
    color: black;
}

/****************************/
/******    FORMULES    ******/
/****************************/

.services {
    background: url(../img/img5.png) no-repeat;
    background-position: center;
    background-size: cover;
}

h1,
h5,
h6 {
    font-family: 'Permanent Marker', cursive;
}

.services .services-title {
    padding: 0 14rem;
    color: whitesmoke;
}

.services .services-title h1 {
    font-size: 35px;
}

.services .services-bis {
    background: rgb(255, 255, 255);
    background: radial-gradient(circle, rgba(255, 255, 255, 1) 0%, rgba(227, 214, 214, 1) 100%);
    padding: 2rem 0;
    width: 20rem;
    margin: 5rem .5rem;
    transition: box-shadow .7s ease;
    border-radius: 3px;
}

.services .services-bis img {
    width: 200px;
    height: 200px;
}

.services .services-bis:hover {
    box-shadow: 0px 10px 30px rgba(57, 56, 61, 0.205);
}

.services .services-bis p {
    height: 50px;
}

.services .services-bis ul {
    height: 300px;
    list-style: none;
}

.services .services-bis button {

    width: 150px;

}

#premium {
    background: rgb(251, 247, 0);
    background: radial-gradient(circle, rgba(251, 247, 0, 1) 0%, rgba(235, 184, 45, 1) 100%);
}

/**********************/
/****   ACTIVITE   ****/
/**********************/

.activities {
    background: url(../img/img5.png) no-repeat;
    background-position: center;
    background-size: cover;
}

#debut {
    animation: 3s apparition3;
}

#yoga:hover,
#running:hover,
#boxe:hover,
#aqua:hover {
    transform: scale(1.02);
    background: rgb(34, 193, 255);
    background: linear-gradient(0deg, rgba(34, 193, 195, 1) 0%, rgba(165, 166, 209, 1) 100%);
}

#running,
#boxe {
    height: 220px;
    animation: 3s apparition2;
}

#yoga,
#aqua {
    height: 220px;
    animation: 3s apparition1;
}

@keyframes apparition1 {
    0% {
        opacity: 0;
        -webkit-transform: translateX(-100%);
    }

    100% {
        opacity: 1;
        -webkit-transform: translateX(0%);
    }
}

@keyframes apparition2 {
    0% {
        opacity: 0;
        -webkit-transform: translateX(100%);
    }

    100% {
        opacity: 1;
        -webkit-transform: translateX(0%);
    }
}

@keyframes apparition3 {
    0% {
        opacity: 0;
        -webkit-transform: translateY(-100%);
    }

    100% {
        opacity: 1;
        -webkit-transform: translateY(0%);
    }
}

/************************/
/*   MENTIONS LEGALES   */
/************************/

.mention_legales {
    margin: auto 5rem;
    text-align: justify;
}

.mention_legales h4 {
    padding: 0.5rem;
}

/***************/
/* MEDIA QUERY */
/***************/

@media screen and (max-width:580px) {
    .video-box {
        margin: 5rem 0.5rem 0.5rem 0.5rem;
    }

    .pub p {
        margin: 3rem 2rem 4rem 2rem;
        font-size: 1.8rem;
    }

    .acceuil {
        height: 85vh;
    }

    .mention_legales {
        margin: auto 2rem;
    }
}

@media screen and (max-width:980px) {
    .pub p {
        margin: 3rem 2rem 4rem 2rem;
        font-size: 1.8rem;
    }

    .acceuil {
        height: 100vh;
    }
}